# SPDX-FileCopyrightText: 2023 Dataport AöR
# SPDX-License-Identifier: EUPL-1.2
# default ssl conf content
<IfModule mod_ssl.c>

    SSLRandomSeed startup builtin
    SSLRandomSeed startup file:/dev/urandom 512
    SSLRandomSeed connect builtin
    SSLRandomSeed connect file:/dev/urandom 512

    AddType application/x-x509-ca-cert .crt
    AddType application/x-pkcs7-crl .crl

    SSLSessionCache     shmcb:/tmp/ssl_scache(512000)
    SSLSessionCacheTimeout  300

    SSLCipherSuite HIGH:3DES:!aNULL:!MD5:!SEED:!IDEA
    SSLProtocol all -SSLv3 -TLSv1 -TLSv1.1
    SSLSessionTickets off

</IfModule>
